# PrimitiveAlias Class Reference
[Base data types used in Form]

Inheritance diagram for PrimitiveAlias:
[legend]

List of all members.

## Public Member Functions

| __construct ($name, BasePrimitive $prm)
| getInner ()
| getName ()
| getDefault ()
| setDefault ($default)
| getValue ()
| getRawValue ()
| getActualValue ()
| getSafeValue ()
| getFormValue ()
| setValue ($value)
| dropValue ()
| setRawValue ($raw)
| isImported ()
| clean ()
| importValue ($value)
| exportValue ()
| getCustomError ()
| import ($scope)

## Private Attributes

| $primitive = null

## Detailed Description

Definition at line 15 of file PrimitiveAlias.class.php.

## Constructor & Destructor Documentation

PrimitiveAlias::__construct | ( | $ | name,
|  | BasePrimitive $ | prm |
| ) |  |  |

Definition at line 19 of file PrimitiveAlias.class.php.

References BasePrimitive::$name.

## Member Function Documentation

PrimitiveAlias::clean | ( |  | ) |

Returns:
  PrimitiveAlias

Reimplemented from BasePrimitive.

Definition at line 131 of file PrimitiveAlias.class.php.

PrimitiveAlias::dropValue | ( |  | ) |

Returns:
  PrimitiveAlias

Reimplemented from BasePrimitive.

Definition at line 106 of file PrimitiveAlias.class.php.

PrimitiveAlias::exportValue | ( |  | ) |

Reimplemented from BasePrimitive.

Definition at line 143 of file PrimitiveAlias.class.php.

PrimitiveAlias::getActualValue | ( |  | ) |

Deprecated:
  by getFormValue

Reimplemented from BasePrimitive.

Definition at line 63 of file PrimitiveAlias.class.php.

PrimitiveAlias::getCustomError | ( |  | ) |

Reimplemented from BasePrimitive.

Definition at line 148 of file PrimitiveAlias.class.php.

PrimitiveAlias::getDefault | ( |  | ) |

Reimplemented from BasePrimitive.

Definition at line 35 of file PrimitiveAlias.class.php.

PrimitiveAlias::getFormValue | ( |  | ) |

Definition at line 81 of file PrimitiveAlias.class.php.

PrimitiveAlias::getInner | ( |  | ) |

Definition at line 25 of file PrimitiveAlias.class.php.

PrimitiveAlias::getName | ( |  | ) |

Reimplemented from BasePrimitive.

Definition at line 30 of file PrimitiveAlias.class.php.

PrimitiveAlias::getRawValue | ( |  | ) |

Reimplemented from BasePrimitive.

Definition at line 55 of file PrimitiveAlias.class.php.

PrimitiveAlias::getSafeValue | ( |  | ) |

Reimplemented from BasePrimitive.

Definition at line 73 of file PrimitiveAlias.class.php.

PrimitiveAlias::getValue | ( |  | ) |

Reimplemented from BasePrimitive.

Definition at line 50 of file PrimitiveAlias.class.php.

PrimitiveAlias::import | ( | $ | scope | ) |

Reimplemented from BasePrimitive.

Definition at line 153 of file PrimitiveAlias.class.php.

PrimitiveAlias::importValue | ( | $ | value | ) |

Reimplemented from BasePrimitive.

Definition at line 138 of file PrimitiveAlias.class.php.

References BasePrimitive::$value.

PrimitiveAlias::isImported | ( |  | ) |

Reimplemented from BasePrimitive.

Definition at line 123 of file PrimitiveAlias.class.php.

PrimitiveAlias::setDefault | ( | $ | default | ) |

Returns:
  PrimitiveAlias

Reimplemented from BasePrimitive.

Definition at line 43 of file PrimitiveAlias.class.php.

References BasePrimitive::$default.

PrimitiveAlias::setRawValue | ( | $ | raw | ) |

Returns:
  PrimitiveAlias

Reimplemented from BasePrimitive.

Definition at line 116 of file PrimitiveAlias.class.php.

References BasePrimitive::$raw.

PrimitiveAlias::setValue | ( | $ | value | ) |

Returns:
  PrimitiveAlias

Reimplemented from BasePrimitive.

Definition at line 96 of file PrimitiveAlias.class.php.

References BasePrimitive::$value.

## Member Data Documentation

PrimitiveAlias::$primitive = null`[private]`

Definition at line 17 of file PrimitiveAlias.class.php.

The documentation for this class was generated from the following file:

- core/Form/Primitives/PrimitiveAlias.class.php